# WOK
TKWOK
WOKMake

# WOKMake_DepItem Class Reference

Handles Single Output Item within a step
.

`#include <WOKMake_DepItem.hxx>`

## Public Member Functions

Standard_EXPORT | WOKMake_DepItem (const Handle(TCollection_HAsciiString)&afile, const Handle(TCollection_HAsciiString)&issuedfrom)
Standard_EXPORT void | SetOrigin (const Handle(TCollection_HAsciiString)&anorigin)
const Handle_TCollection_HAsciiString & | IssuedFrom () const
Standard_EXPORT void | SetOutputFile (const Handle(TCollection_HAsciiString)&afile)
const Handle_TCollection_HAsciiString & | OutputFile () const
Standard_EXPORT void | SetDirect ()
Standard_EXPORT void | SetIndirect ()
Standard_Boolean | IsDirectDep () const
Standard_EXPORT void | SetStatus (const WOKMake_FileStatus astatus)
WOKMake_FileStatus | Status () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | ReadFile (const Handle(WOKUtils_Path)&afile, WOKMake_IndexedMapOfDepItem &aseq)
static Standard_EXPORT Standard_Integer | WriteFile (const Handle(WOKUtils_Path)&afile, const WOKMake_IndexedMapOfDepItem &aseq)

## Static Private Member Functions

static Standard_EXPORT void | ReadLine (Standard_IStream &astream, Handle(WOKMake_DepItem)&anitem, const Handle(WOKMake_DepItem)&lastone)
static Standard_EXPORT void | WriteLine (Standard_OStream &astream, const Handle(WOKMake_DepItem)&anitem, const Handle(WOKMake_DepItem)&lastone)

## Private Attributes

Handle_TCollection_HAsciiString | myfile
Handle_TCollection_HAsciiString | myorigin
Standard_Boolean | mydirect
WOKMake_FileStatus | mystatus

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_DepItem::WOKMake_DepItem | ( | const Handle(TCollection_HAsciiString)& | afile,
|  | const Handle(TCollection_HAsciiString)& | issuedfrom
| ) |

## Member Function Documentation

Standard_EXPORT const WOKMake_DepItem::Handle | ( | Standard_Type |  | ) | const

Standard_Boolean WOKMake_DepItem::IsDirectDep | ( |  | ) | const`[inline]`

const Handle_TCollection_HAsciiString& WOKMake_DepItem::IssuedFrom | ( |  | ) | const

const Handle_TCollection_HAsciiString& WOKMake_DepItem::OutputFile | ( |  | ) | const

static Standard_EXPORT Standard_Integer WOKMake_DepItem::ReadFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | WOKMake_IndexedMapOfDepItem & | aseq
| ) | `[static]`

static Standard_EXPORT void WOKMake_DepItem::ReadLine | ( | Standard_IStream & | astream,
|  | Handle(WOKMake_DepItem)& | anitem,
|  | const Handle(WOKMake_DepItem)& | lastone
| ) | `[static, private]`

Standard_EXPORT void WOKMake_DepItem::SetDirect | ( |  | ) |

Standard_EXPORT void WOKMake_DepItem::SetIndirect | ( |  | ) |

Standard_EXPORT void WOKMake_DepItem::SetOrigin | ( | const Handle(TCollection_HAsciiString)& | anorigin | ) |

Standard_EXPORT void WOKMake_DepItem::SetOutputFile | ( | const Handle(TCollection_HAsciiString)& | afile | ) |

Standard_EXPORT void WOKMake_DepItem::SetStatus | ( | const WOKMake_FileStatus | astatus | ) |

WOKMake_FileStatus WOKMake_DepItem::Status | ( |  | ) | const`[inline]`

static Standard_EXPORT Standard_Integer WOKMake_DepItem::WriteFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const WOKMake_IndexedMapOfDepItem & | aseq
| ) | `[static]`

static Standard_EXPORT void WOKMake_DepItem::WriteLine | ( | Standard_OStream & | astream,
|  | const Handle(WOKMake_DepItem)& | anitem,
|  | const Handle(WOKMake_DepItem)& | lastone
| ) | `[static, private]`

## Field Documentation

Standard_Boolean WOKMake_DepItem::mydirect `[private]`

Handle_TCollection_HAsciiString WOKMake_DepItem::myfile `[private]`

Handle_TCollection_HAsciiString WOKMake_DepItem::myorigin `[private]`

WOKMake_FileStatus WOKMake_DepItem::mystatus `[private]`

The documentation for this class was generated from the following files:

- WOKMake_DepItem.hxx
- WOKMake_DepItem.lxx